> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/trade/one-click-repay/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Place one-click repay POST https://www.okx.com/api/v5/trade/one-click-repay Content-Type: application/json Trade one-click repay to repay cross debts. Isolated debts are not applicable. The maximum repayment amount is based on the remaining available balance of funding and trading accounts. Only applicable to `Multi-currency margin`/`Portfolio margin`. Reference: https://okx-demo.ferndocs.com/api/api-reference/trade/one-click-repay ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Body (application/json) This endpoint expects an object. - `debtCcy` (list of string, required) — Debt currency type Maximum 5 currencies can be selected in one order. If there are multiple currencies, separate them with commas. - `repayCcy` (string, required) — Repay currency type Only one receiving currency type can be selected in one order and cannot be the same as the small payment currencies. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5TradeOneClickRepayPostResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5TradeOneClickRepayPostResponsesContentApplicationJsonSchemaDataItems - `debtCcy` (string, optional) — Debt currency type - `repayCcy` (string, optional) — Repay currency type - `fillDebtSz` (string, optional) — Filled amount of debt currency - `fillRepaySz` (string, optional) — Filled amount of repay currency - `status` (string, optional) — Current status of one-click repay `running`: Running `filled`: Filled `failed`: Failed - `uTime` (string, optional) — Trade time, Unix timestamp format in milliseconds, e.g. 1597026383085 ## Examples **Request** ```json { "debtCcy": [ "ETH", "BTC" ], "repayCcy": "USDT" } ``` **Response** ```json { "code": "0", "msg": "", "data": [ { "debtCcy": "ETH", "repayCcy": "USDT", "fillDebtSz": "0.01023052", "fillRepaySz": "30", "status": "filled", "uTime": "1646188520338" }, { "debtCcy": "BTC", "repayCcy": "USDT", "status": "filled", "uTime": "1646188520338", "fillFromSz": "3", "fillToSz": "60,221.15910001" } ] } ``` **SDK Code** ```python trade_oneClickRepay_example import requests url = "https://www.okx.com/api/v5/trade/one-click-repay" payload = { "debtCcy": ["ETH", "BTC"], "repayCcy": "USDT" } headers = { "OK-ACCESS-KEY": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript trade_oneClickRepay_example const url = 'https://www.okx.com/api/v5/trade/one-click-repay'; const options = { method: 'POST', headers: {'OK-ACCESS-KEY': '', 'Content-Type': 'application/json'}, body: '{"debtCcy":["ETH","BTC"],"repayCcy":"USDT"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go trade_oneClickRepay_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/trade/one-click-repay" payload := strings.NewReader("{\n \"debtCcy\": [\n \"ETH\",\n \"BTC\"\n ],\n \"repayCcy\": \"USDT\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("OK-ACCESS-KEY", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby trade_oneClickRepay_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/trade/one-click-repay") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["OK-ACCESS-KEY"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"debtCcy\": [\n \"ETH\",\n \"BTC\"\n ],\n \"repayCcy\": \"USDT\"\n}" response = http.request(request) puts response.read_body ``` ```java trade_oneClickRepay_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://www.okx.com/api/v5/trade/one-click-repay") .header("OK-ACCESS-KEY", "") .header("Content-Type", "application/json") .body("{\n \"debtCcy\": [\n \"ETH\",\n \"BTC\"\n ],\n \"repayCcy\": \"USDT\"\n}") .asString(); ``` ```php trade_oneClickRepay_example request('POST', 'https://www.okx.com/api/v5/trade/one-click-repay', [ 'body' => '{ "debtCcy": [ "ETH", "BTC" ], "repayCcy": "USDT" }', 'headers' => [ 'Content-Type' => 'application/json', 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp trade_oneClickRepay_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/trade/one-click-repay"); var request = new RestRequest(Method.POST); request.AddHeader("OK-ACCESS-KEY", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"debtCcy\": [\n \"ETH\",\n \"BTC\"\n ],\n \"repayCcy\": \"USDT\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift trade_oneClickRepay_example import Foundation let headers = [ "OK-ACCESS-KEY": "", "Content-Type": "application/json" ] let parameters = [ "debtCcy": ["ETH", "BTC"], "repayCcy": "USDT" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/trade/one-click-repay")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```